darcs

Issue 2237 gzcrcs test failure with 2.9.5

Title gzcrcs test failure with 2.9.5
Priority bug Status resolved
Milestone 2.10.0 HEAD Resolved in
Superseder Nosy List fx
Assigned To
Topics

Created on 2012-09-12.15:23:36 by fx, last changed 2013-02-16.15:07:34 by kowey.

Messages
msg16083 (view) Author: fx Date: 2012-09-12.15:23:34
I see (also in the unhashed version):

gzcrcs.sh (Hashed): [Failed]
| rm -rf maybench-crc
| + rm -rf maybench-crc
| gunzip -c $TESTDATA/maybench-crc.tgz | tar xf -
| + gunzip -c /home/dlove/packages/darcs.net/tests/data/maybench-crc.tgz
| + tar xf -
| cd maybench-crc
| + cd maybench-crc
| not darcs gzcrcs --check
| + not darcs gzcrcs --check
| + darcs gzcrcs --check
| Found 19 corrupt files
| + :
| darcs gzcrcs --repair
| + darcs gzcrcs --repair
| Found 19 corrupt files (repaired)
| Creating a patch index, please wait. To stop press Ctrl-C
| darcs: /tmp/tmpThreadId515198/maybench-crc/_darcs/hashed_inventory: openBinaryFile: does not exist (No such file or directory)

with the version below on Ubuntu 10.04, compiled with ghc 7.4.1.  It's
likely something trivial, but I don't have time to check just now.


darcs compiled on Sep 11 2012, at 18:12:45

Context:

[resolve conflicts between patch index creation and Darcs.Path renaming
Ganesh Sittampalam <ganesh@earth.li>**20120909153005
 Ignore-this: 2486a8a9500c4cc2273c4a8364a0592c
] 

[Move patch index creation on existing repositories to the end of command execution
bsrkaditya@gmail.com**20120909145316
 Ignore-this: 4957797af11f19e2317e58181ff9ce0e
     The exception to this is when the command run is
     changes or annotate, where patch index is created before
     command execution
] 

[TAG 2.9.5
Ganesh Sittampalam <ganesh@earth.li>**20120909144005
 Ignore-this: 10a0339a4d717af614781d85eb0155fd
] 

Compiled with:

array-0.4.0.0
base-4.5.0.0
binary-0.5.1.0
bytestring-0.9.2.1
containers-0.4.2.1
data-ordlist-0.4.5
directory-1.1.0.2
filepath-1.3.0.0
hashed-storage-0.5.9
haskeline-0.6.4.7
html-1.0.1.2
mmap-0.5.8
mtl-2.1.2
old-time-1.1.0.0
parsec-3.1.3
process-1.1.0.1
random-1.0.1.1
regex-compat-0.95.1
tar-0.4.0.0
terminfo-0.3.2.5
text-0.11.2.3
unix-2.5.1.0
vector-0.9.1
zlib-0.5.3.3
HUnit-1.2.5.1
QuickCheck-2.4.2
cmdlib-0.3.5
shellish-0.1.4
test-framework-0.6.1
test-framework-hunit-0.2.7
test-framework-quickcheck2-0.2.12.2
msg16085 (view) Author: owst Date: 2012-09-12.16:14:33
I've just sent a fix for this (http://bugs.darcs.net/patch940). I don't
have the right SSH key to screen the patch yet, but I will do later.
msg16645 (view) Author: kowey Date: 2013-02-16.15:07:32
Hmm, dunno why this wasn't caught by our infrastructure but patch940 was 
accepted
History
Date User Action Args
2012-09-12 15:23:36fxcreate
2012-09-12 16:14:34owstsetstatus: unknown -> has-patch
messages: + msg16085
2013-02-16 15:07:34koweysetpriority: bug
status: has-patch -> resolved
messages: + msg16645
milestone: 2.10.0 HEAD